"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIsFetching = void 0;
const vue_1 = require("vue");
const useQueryClient_1 = require("./useQueryClient");
const utils_1 = require("./utils");
function useIsFetching(arg1, arg2) {
    const filters = vue_1.ref({});
    const queryClient = useQueryClient_1.useQueryClient();
    const [parsedFilters] = utils_1.parseFilterArgs(arg1, arg2);
    filters.value = parsedFilters;
    const isFetching = vue_1.ref(queryClient.isFetching(filters.value));
    const unsubscribe = queryClient.getQueryCache().subscribe(() => {
        isFetching.value = queryClient.isFetching(filters.value);
    });
    vue_1.watchEffect(() => {
        const [parsedFilters] = utils_1.parseFilterArgs(arg1, arg2);
        filters.value = parsedFilters;
    });
    vue_1.onUnmounted(() => {
        unsubscribe();
    });
    return isFetching;
}
exports.useIsFetching = useIsFetching;
